# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libqt4-devel
# END SourceDeps(oneline)
Name:           linpsk
Version:        1.1
Release:        alt1_9
Summary:        Psk31 and RTTY program for Linux

Group:          Communications
License:        GPLv2+
URL:            http://linpsk.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
# Add .desktop file
Source1:        %{name}.desktop
# Icon
Source2:        %{name}.png
# Install wrapper
Source3:        %{name}.sh.in

# Patch asoundrc file for default sound card (device 0)
Patch0:         %{name}-%{version}-3.sound.conf.patch
Patch1:         %{name}-%{version}-compile-fix.patch


BuildRequires:  libfftw3-devel
BuildRequires:  qt4-devel
BuildRequires:  libalsa-devel
BuildRequires:  desktop-file-utils
Source44: import.info

#Requires:

# Spelling error in desc. is intentional. Hobby jargon ignore rpmlint warnings.
%description
LinPsk is a program for operating on digital modes running on Linux.
LinPsk supports BPSK, QPSK and RTTY at the moment.
Main features are:
* the simultaneous decoding of up to four channels.
* The different digital modes may be mixed
* You can define a trigger on each channel to be notified if a text of your 
  choice is detected.
* You can log each received channel at a file.
* For easy qso'ing you can define macros and for larger texts to be send you 
  can use two files.
* You can view the signal as spectrum or in a waterfall display. Both are 
  scale-able in the frequency domain.
At the Moment RTTY only supports 45 baud and 1.5 stop-bits. 

%prep
%setup -q -n %{name}

#fix permissions for debuginfo files
chmod 0644 $RPM_BUILD_DIR/%{name}/src/{rttydemodulator.cpp,cpskdemodulator.cpp,cpskdemodulator.h,rttydemodulator.h}

%patch0 -p1 -b 3.sound.conf
%patch1 -p1 -b .compile.fix

%build
qmake-qt4 -unix -o Makefile %{name}.pro
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}

# Move original binary to libexecdir
mkdir -p %{buildroot}/%{_libexecdir}/
install -m 755 bin/%{name} $RPM_BUILD_ROOT%{_libexecdir}/%{name}-bin

# Install wrapper script 
install -p -D -m 0755 %{SOURCE3} %{buildroot}/%{_bindir}/%{name}

# Install default sound configuration file
mkdir -p %{buildroot}/%{_sysconfdir}/skel/.%{name}/
install -p -D -m 0644 $RPM_BUILD_DIR/%{name}/asoundrc %{buildroot}/%{_sysconfdir}/skel/.%{name}/asoundrc

# Install provided icon
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
# no upstream .desktop
desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
# --vendor obsolete per new guidlines but leaving it in because
# this is an existing package with vendor previously installed

#Remove development files
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'

%files
%doc COPYING ChangeLog README
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop
%config(noreplace) %{_sysconfdir}/skel/.%{name}/asoundrc
%{_libexecdir}/%{name}-bin

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_9
- initial fc import

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_8
- initial fc import

